<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'btravel',

    /*
     * Package.
     */
    'package'   => 'externalshipdatum',

    /*
     * Modules.
     */
    'modules'   => ['external_shipdata'],

    
    'external_shipdata'       => [
        'model' => [
            'model'                 => \Btravel\Externalshipdatum\Models\ExternalShipdata::class,
            'table'                 => 'external_shipdatas',
            'presenter'             => \Btravel\Externalshipdatum\Repositories\Presenter\ExternalShipdataPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'vessel_id',  'company',  'title',  'date',  'images',  'price',  'length',  'destinations',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'externalshipdatum/external_shipdata',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Externalshipdatum',
            'module'    => 'ExternalShipdata',
        ],

    ],
];
