<?php

namespace Btravel\Externalshipdatum;

use DB;
use Illuminate\Database\Seeder;

class ExternalShipdataTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('external_shipdatas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'externalshipdatum.external_shipdata.view',
                'name'      => 'View ExternalShipdata',
            ],
            [
                'slug'      => 'externalshipdatum.external_shipdata.create',
                'name'      => 'Create ExternalShipdata',
            ],
            [
                'slug'      => 'externalshipdatum.external_shipdata.edit',
                'name'      => 'Update ExternalShipdata',
            ],
            [
                'slug'      => 'externalshipdatum.external_shipdata.delete',
                'name'      => 'Delete ExternalShipdata',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/externalshipdatum/external_shipdata',
                'name'        => 'ExternalShipdata',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/externalshipdatum/external_shipdata',
                'name'        => 'ExternalShipdata',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'external_shipdata',
                'name'        => 'ExternalShipdata',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Externalshipdatum',
                'module'    => 'ExternalShipdata',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'externalshipdatum.external_shipdata.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
