<?php

namespace Btravel\Externalshipdatum\Repositories\Eloquent;

use Btravel\Externalshipdatum\Interfaces\ExternalShipdataRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ExternalShipdataRepository extends BaseRepository implements ExternalShipdataRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('btravel.externalshipdatum.external_shipdata.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('btravel.externalshipdatum.external_shipdata.model.model');
    }
}
